# coding: utf-8

"""
    Midgard Public API

    The Midgard Public API queries THORChain and any chains linked via the Bifröst and prepares information about the network to be readily available for public users. The API parses transaction event data from THORChain and stores them in a time-series database to make time-dependent queries easy. Midgard does not hold critical information. To interact with MAYAChain protocol, users should query MAYANode directly.  # noqa: E501

    OpenAPI spec version: 2.10.0
    Contact: devs@thorchain.org
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class THORNameSubAffiliate(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'affiliate_bps': 'str',
        'expire': 'str',
        'name': 'str',
        'share_bps': 'str'
    }

    attribute_map = {
        'affiliate_bps': 'affiliate_bps',
        'expire': 'expire',
        'name': 'name',
        'share_bps': 'share_bps'
    }

    def __init__(self, affiliate_bps=None, expire=None, name=None, share_bps=None):  # noqa: E501
        """THORNameSubAffiliate - a model defined in Swagger"""  # noqa: E501
        self._affiliate_bps = None
        self._expire = None
        self._name = None
        self._share_bps = None
        self.discriminator = None
        self.affiliate_bps = affiliate_bps
        self.expire = expire
        self.name = name
        self.share_bps = share_bps

    @property
    def affiliate_bps(self):
        """Gets the affiliate_bps of this THORNameSubAffiliate.  # noqa: E501

        Int64, affiliate fee in basis points  # noqa: E501

        :return: The affiliate_bps of this THORNameSubAffiliate.  # noqa: E501
        :rtype: str
        """
        return self._affiliate_bps

    @affiliate_bps.setter
    def affiliate_bps(self, affiliate_bps):
        """Sets the affiliate_bps of this THORNameSubAffiliate.

        Int64, affiliate fee in basis points  # noqa: E501

        :param affiliate_bps: The affiliate_bps of this THORNameSubAffiliate.  # noqa: E501
        :type: str
        """
        if affiliate_bps is None:
            raise ValueError("Invalid value for `affiliate_bps`, must not be `None`")  # noqa: E501

        self._affiliate_bps = affiliate_bps

    @property
    def expire(self):
        """Gets the expire of this THORNameSubAffiliate.  # noqa: E501

        Int64, THORChain block height in which THORName expires  # noqa: E501

        :return: The expire of this THORNameSubAffiliate.  # noqa: E501
        :rtype: str
        """
        return self._expire

    @expire.setter
    def expire(self, expire):
        """Sets the expire of this THORNameSubAffiliate.

        Int64, THORChain block height in which THORName expires  # noqa: E501

        :param expire: The expire of this THORNameSubAffiliate.  # noqa: E501
        :type: str
        """
        if expire is None:
            raise ValueError("Invalid value for `expire`, must not be `None`")  # noqa: E501

        self._expire = expire

    @property
    def name(self):
        """Gets the name of this THORNameSubAffiliate.  # noqa: E501

        THORName name  # noqa: E501

        :return: The name of this THORNameSubAffiliate.  # noqa: E501
        :rtype: str
        """
        return self._name

    @name.setter
    def name(self, name):
        """Sets the name of this THORNameSubAffiliate.

        THORName name  # noqa: E501

        :param name: The name of this THORNameSubAffiliate.  # noqa: E501
        :type: str
        """
        if name is None:
            raise ValueError("Invalid value for `name`, must not be `None`")  # noqa: E501

        self._name = name

    @property
    def share_bps(self):
        """Gets the share_bps of this THORNameSubAffiliate.  # noqa: E501

        Int64, share of this sub affiliate from the main name in basis points  # noqa: E501

        :return: The share_bps of this THORNameSubAffiliate.  # noqa: E501
        :rtype: str
        """
        return self._share_bps

    @share_bps.setter
    def share_bps(self, share_bps):
        """Sets the share_bps of this THORNameSubAffiliate.

        Int64, share of this sub affiliate from the main name in basis points  # noqa: E501

        :param share_bps: The share_bps of this THORNameSubAffiliate.  # noqa: E501
        :type: str
        """
        if share_bps is None:
            raise ValueError("Invalid value for `share_bps`, must not be `None`")  # noqa: E501

        self._share_bps = share_bps

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(THORNameSubAffiliate, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, THORNameSubAffiliate):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
